Gst::ValueList Class Reference

`#include <gstreamermm/valuelist.h>`

Inherits ValueBase.

## Public Member Functions

| ValueList ()
| Default constructor. More...
guint | size () const
| Gets the number of values contained in value. More...
bool | get (guint index, Glib::ValueBase& value) const
| Gets the value that is a member of the list contained in value and has the index index. More...
Gst::ValueList& | append (const Glib::ValueBase& value)
| Appends value to the ValueList. More...
Gst::ValueList& | prepend (const Glib::ValueBase& value)
| Prepends value to the ValueList. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Constructor & Destructor Documentation

## ValueList()

Gst::ValueList::ValueList | ( |  | ) |

Default constructor.

## Member Function Documentation

## append()

Gst::ValueList& Gst::ValueList::append | ( | const Glib::ValueBase & | value | ) |

Appends value to the ValueList.

Parameters

  value | The value to append.

## get()

bool Gst::ValueList::get | ( | guint | index,
|  | Glib::ValueBase & | value
| ) |  | const

Gets the value that is a member of the list contained in value and has the index index.

Parameters

  value | A Value of type Gst::TYPE_LIST.
  index | Index of value to get from the list.

Returns
  The value at the given index.

## get_type()

static GType Gst::ValueList::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## prepend()

Gst::ValueList& Gst::ValueList::prepend | ( | const Glib::ValueBase & | value | ) |

Prepends value to the ValueList.

Parameters

  value | The value to prepend.

## size()

guint Gst::ValueList::size | ( |  | ) | const

Gets the number of values contained in value.

Returns
  The number of values.